com.ihr.xbrl.manage

## Enum ExternalDriverApp.Status

- java.lang.Object
- - java.lang.Enum<ExternalDriverApp.Status>
  - - com.ihr.xbrl.manage.ExternalDriverApp.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExternalDriverApp.Status>
  Enclosing class:
    ExternalDriverApp

      public static enum ExternalDriverApp.Status
      extends java.lang.Enum<ExternalDriverApp.Status>

  The Enum Status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` The error.
    `EXTERNAL` The external.
    `INTERNAL` The internal.
    `UNINITIALIZED` The uninitialized.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExternalDriverApp.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExternalDriverApp.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final ExternalDriverApp.Status ERROR

      The error.

    - #### EXTERNAL

          public static final ExternalDriverApp.Status EXTERNAL

      The external.

    - #### INTERNAL

          public static final ExternalDriverApp.Status INTERNAL

      The internal.

    - #### UNINITIALIZED

          public static final ExternalDriverApp.Status UNINITIALIZED

      The uninitialized.

  - ### Method Detail

    - #### values

          public static ExternalDriverApp.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExternalDriverApp.Status c : ExternalDriverApp.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExternalDriverApp.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null